<?php

namespace App\Entities\Cliente;

use App\Utils\Entity;

class Cliente extends Entity {
	protected $id;
	protected $id_pessoa;
	protected $adicionado_por;
	protected $alterado_por;
	protected $criado_em;
	protected $alterado_em;

	public static function builder(): ClienteBuilder {

		return new ClienteBuilder();

	}

	public function getId(): int {

		return $this->id;

	}

	public function getIdPessoa(): int {

		return $this->id_pessoa;

	}

	public function getAdicionadoPor(): ?int {

		return $this->adicionado_por;

	}

	public function getAlteradoPor(): ?int {

		return $this->alterado_por;

	}

	public function getCriadoEm(): ?string {

		return $this->criado_em;

	}

	public function getAlteradoEm(): ?string {

		return $this->alterado_em;

	}

	public function setId(int $id): void {

		$this->id = $id;

	}

	public function setIdPessoa(int $id_pessoa): void {

		$this->id_pessoa = $id_pessoa;

	}

	public function setAdicionadoPor(?int $adicionado_por): void {

		$this->adicionado_por = $adicionado_por;

	}

	public function setAlteradoPor(?int $alterado_por): void {

		$this->alterado_por = $alterado_por;

	}

	public function setCriadoEm(?string $criado_em): void {

		$this->criado_em = $criado_em;

	}

	public function setAlteradoEm(?string $alterado_em): void {

		$this->alterado_em = $alterado_em;

	}

}